import { ComponentMeta, ComponentStoryObj } from "@storybook/react";

import { Button } from ".";

export default {
  title: "Components/Button",
  component: Button,
  args: {
    children: 'Submit'
  },
  argTypes: {
    disabled: {
      defaultValue: false,
      name: 'Disabled',
      type: 'boolean'
    },
    asChild: {
      table: {
        disable: true
      }
    },
    className: {
      table: {
        disable: true
      }
    },
  }
} as ComponentMeta<typeof Button>;

export const Default: ComponentStoryObj<typeof Button> = {};
export const Blue: ComponentStoryObj<typeof Button> = {
  args: {
    className: 'bg-blue-700 disabled:bg-blue-400'
  }
};

export const AsLink: ComponentStoryObj<typeof Button> = {
  args: {
    asChild: true,
    children: (
      <a href="">Button as anchor</a>
    )
  },
  argTypes: {
    children: {
      table: {
        disable: true
      }
    }
  }
}