import { ButtonHTMLAttributes } from "react"
import { Slot } from "@radix-ui/react-slot";

import { clsx } from "clsx"

export interface ButtonProps extends ButtonHTMLAttributes<HTMLButtonElement> {
  asChild?: boolean;
}

export function Button({ className, asChild=false, ...props }: ButtonProps) {
  const Comp = asChild? Slot : 'button'
  return (
    <Comp 
      className={clsx(
        `bg-rose-700 disabled:bg-rose-400 w-full py-3 rounded-md text-gray-100 font-bold inline-block text-center`, 
        className
      )} 
      {...props} 
    />
  )
}
