import {ComponentMeta, ComponentStoryObj} from '@storybook/react'

import {Checkbox} from '.'

type CheckboxStoryObj = ComponentStoryObj<typeof Checkbox>

export default {
    title: 'Components/Checkbox',
    component: Checkbox,
    decorators: [
        (Story) => {
            return (
                <div className="flex items-center gap-2">
                    {Story()}
                    <span className="text-gray-100">Mark this checkbox</span>
                </div>
            )
        }
    ],
    argTypes: {
        asChild: {
            table: {
                disable: true
            }
        },
        className: {
            table: {
                disable: true
            }
        }
    }
} as ComponentMeta<typeof Checkbox>

export const Default: CheckboxStoryObj = {
    args: {
        checked: false
    }
}

export const Blue: CheckboxStoryObj = {
    args: {
        className:"text-blue-700",
        checked: true
    }
}