import * as CheckboxPrimitive from '@radix-ui/react-checkbox'
import clsx from 'clsx'

import {Check} from 'phosphor-react'

interface CheckboxProps extends CheckboxPrimitive.CheckboxProps {}

export function Checkbox({className, ...props}: CheckboxProps){
    return (
        <CheckboxPrimitive.Root
            className={clsx(
                "rounded bg-gray-800 w-6 h-6 p-[2px]",
            )}
            {...props}
        >
            <CheckboxPrimitive.Indicator asChild>
                <Check 
                    weight="bold"
                    className={clsx(
                        "text-rose-700 w-5 h-5",
                        className
                    )}
                />
            </CheckboxPrimitive.Indicator>
        </CheckboxPrimitive.Root>
    )
}