import { Slot } from '@radix-ui/react-slot';
import {clsx} from 'clsx';
import {ReactNode} from 'react'

export interface HeadingProps {
    size?: 'sm' | 'md' | 'lg' | 'xl'
    children: ReactNode;
    asChild?: boolean;
    className?: string;
}

export function Heading({children, className, asChild=false, size='sm'}:HeadingProps){
    const Comp = asChild? Slot : 'h3'
    return (
        <Comp 
            className={clsx(
                'text-gray-100',
                {
                    'text-3xl': size==='sm',
                    'text-4xl': size==='md',
                    'text-5xl': size==='lg',
                    'text-6xl': size==='xl'
                },
                className
            )}
        >
            {children}
        </Comp>
    )
}