import {ComponentMeta, ComponentStoryObj} from '@storybook/react'

import {Text, type TextProps} from '.'

type TextStoryObj = ComponentStoryObj<typeof Text>

export default {
    title: 'Components/Text',
    component: Text,
    args: {
        children: 'Text'
    },
    argTypes: {
        size: {
            options: ['sm', 'md', 'lg'] as TextProps['size'][],
            defaultValue: 'md',
            name: 'Size',
            control: {
                type: 'inline-radio'
            }
        },
        asChild: {
            table: {
                disable: true
            }
        },
        className: {
            table: {
                disable: true
            }
        },
    }
} as ComponentMeta<typeof Text>

export const Default: TextStoryObj = {}

export const Blue: TextStoryObj = {
    args: {
        className: 'text-blue-700'
    }
}

export const AsLink: TextStoryObj = {
    args: {
        asChild: true,
        children: (
            <a href="">Text as anchor</a>
        )
    },
    argTypes: {
        children: {
            table: {
                disable: true
            }
        }
    }
}