import { Slot } from '@radix-ui/react-slot';
import {clsx} from 'clsx';
import {ReactNode} from 'react'

export interface TextProps {
    size?: 'sm' | 'md' | 'lg'
    children: ReactNode;
    asChild?: boolean;
    className?: string;
}

export function Text({children, className, asChild=false, size='sm'}:TextProps){
    const Comp = asChild? Slot : 'span'
    return (
        <Comp 
            className={clsx(
                'text-gray-100',
                {
                    'text-xs': size==='sm',
                    'text-base': size==='md',
                    'text-2xl': size==='lg'
                },
                className
            )}
        >
            {children}
        </Comp>
    )
}