import {ComponentMeta, ComponentStoryObj} from '@storybook/react'

import {Envelope} from 'phosphor-react'

import {TextInput} from '.'

type TextInputStory = ComponentStoryObj<typeof TextInput['Root']>

export default {
    title: 'Components/Text input',
    component: TextInput.Root,
    argTypes: {
        children: {
            table: {
                disable: true
            }
        }
    }
} as ComponentMeta<typeof TextInput['Root']>

export const Default: TextInputStory = {
    args: {
        children: (
            <TextInput.Input 
                placeholder='Your email goes here'
            />
        )
    }
}
export const WithButton: TextInputStory = {
    args: {
        children: (
            <>
                <TextInput.Input 
                    placeholder='Enter the code here'
                />
                <TextInput.Button
                    className="font-bold"
                >
                    Submit
                </TextInput.Button>
            </>
        )
    }
}
export const WithButtonAndIcon: TextInputStory = {
    args: {
        children: (
            <>
                <TextInput.Icon>
                    <Envelope />
                </TextInput.Icon>
                <TextInput.Input 
                    placeholder='Enter your email here'
                />
                <TextInput.Button>
                    Submit
                </TextInput.Button>
            </>
        )
    }
}